Unable to configure new Cloudflared version on Linux

Referencing an issue I started here and redirected to this community section.
Basically I’m having a difficult time getting the clouudflared service running on Linux, in this case Ubuntu 20.10. Installed fine on Windows 10. Something about static tunnels on Linux causing a config change to be needed. I am having issues figuring out the command to run to get my browser (tried Firefox & Chromium to download the cert.pem file. I got this output:
If the browser failed to open, please visit the URL above directly in your browser.
INFO[2020-10-26T18:14:07-04:00] Waiting for login…
INFO[2020-10-26T18:14:37-04:00] Waiting for login…
INFO[2020-10-26T18:15:07-04:00] Waiting for login…
INFO[2020-10-26T18:15:37-04:00] Waiting for login…
INFO[2020-10-26T18:16:07-04:00] Waiting for login…
INFO[2020-10-26T18:16:38-04:00] Waiting for login…
INFO[2020-10-26T18:17:08-04:00] Waiting for login…
INFO[2020-10-26T18:17:38-04:00] Waiting for login…
INFO[2020-10-26T18:18:08-04:00] Waiting for login…
INFO[2020-10-26T18:18:39-04:00] Waiting for login…
Failed to write the certificate due to the following error:
Failed to fetch resource

Your browser will download the certificate instead. You will have to manually
copy it to the following path:

/home/mike/.cloudflared/cert.pem
Failed to fetch resource

Unfortunately I have no clue how to get the certificate after login and do not know how to set up cloudflared without setting the --legacy option at the end. I’ve looked at documentation and am at a loss. Please assist.

Now I’m getting this after I deleted config.yaml:
[email protected]:~/.cloudflared$ ./cloudflared login
yaml: line 4: did not find expected ‘-’ indicator
I tried recreating the file with the same syntax and deleting it -same error regardless. And I’ve searched the whole drive for config.yaml in /etc/cloudflared and ~./.cloudflared

This topic was automatically closed 5 days after the last reply. New replies are no longer allowed.